// ************************************
// @package: handleMgr
// @description: HandleObj 操作对象
// @author:  zhaoxin
// @revision history:
// @create date: 2022-02-21 16:52:44
// ************************************

package handleMgr

// HandleObj 操作对象
type HandleObj struct {
	// 模块命名
	ModuleName string

	// 操作channel
	HandleChannel chan *RequestObject
}

// NewHandleObj 初始化
func NewHandleObj(moduleName string) *HandleObj {
	return &HandleObj{
		ModuleName:    moduleName,
		HandleChannel: make(chan *RequestObject, 1000),
	}
}
